# Uses of Enum Class
javax.lang.model.element.ModuleElement.DirectiveKind

Packages that use ModuleElement.DirectiveKind
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.

## Uses of ModuleElement.DirectiveKind in javax.lang.model.element

Methods in javax.lang.model.element that return ModuleElement.DirectiveKind
Modifier and Type
Method
Description
`ModuleElement.DirectiveKind`
ModuleElement.Directive.`getKind()`
Returns the `kind` of this directive.
`static ModuleElement.DirectiveKind`
ModuleElement.DirectiveKind.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleElement.DirectiveKind[]`
ModuleElement.DirectiveKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.